XCHESS(1)

NAME
xchess - X chess display

SYNOPSIS
xchess [ option ... ] [ white-display ] [ black-display ]

DESCRIPTION

xchess is a chess display program which allows players to play a game on either one or two displays, or play a chess-playing program. It uses the X window system. If one or no display names are given, it will open up one window and both black and white at the same board. If two displays are given, xchess will accept moves from each player in his turn. Black's board will be drawn with his pieces at the bottom.

xchess will not allow a player to make an illegal move. It accepts all legal moves, including castling and pawn capture en passant.

OPTIONS

-d  Turn on debugging.

-f record-file
    Use record-file for saving the game when the Save button is selected, or if the -s flag is given. The default is "xchess.game".

-r saved-game
    Start with the position at the end of the saved game in the named file. This file may be the result of the Save command, and may be in either English or International format. When reading moves, one move it made per second.

-q  Don't pause for a second every time a move is made when a game is being restored.

-v  Whenever a piece is moved, outline the path with a "lightning bolt". This option and the -n option are useful if you don't want to miss an opponent's move when he makes it.

-i  Use International format for recording moves (squares numbered 1-8, a-h) as opposed to English (e.g, p/k4xp/q5).

-t moves/timeunit
    Allows timeunit seconds for every moves moves. If either player exceeds this allowance both recieve a message saying informing them of this fact.

-c  Play the computer. xchess will start up a chess-playing program (currently the only one it knows how to talk to is GNU Chess).

-p program
    The name of the program to use if the -c option is given. The default is "/usr/public/gnuchess". Note that gnuchess must be compiled with the compat flag (in the file "main.c") set to 1.

-b  If the -c flag was given, have the computer play white.

-bnw
    If the display has more than one display plane (i.e, is color), pretend it's black and white.

-s  Save the moves in the record file as they are made. This is useful if you don't want your game to be lost when xchess core dumps.

-n  Be noisy - beep after every move is made.

-h host
    Run GNU Chess on the specified host.

-R  Randomly chose who plays white and who plays black, if two displays are given.

CONTROLS

The window is divided up into several sub-windows. The pieces are moved by pushing down any mouse button on top of the piece, moving to the destination square, and releasing it. Castling is done by moving the king to the right square. If you push down on a piece and then let the button up without moving it, you must move that piece. ("Touch it, move it.")

The progress of the game is listed in the "Game Record" window. Error messages and such things are printed in the "Message" window. Both these windows have scroll bars that you can use to move around. There are also windows for clocks and for a record of the pieces captured.

If you type any keys in the window, the text will go into the message window of both players. This provides a simple communication facility.

There are 9 buttons in the control window. They are as follows:

Draw
    Both players must push this button to agree on a draw (just one is ok if only one display is being used).

Resign
    The player whose turn it is to move resigns.

Reset
    Start over from the beginning.

Back
    Retract a move. If two displays are being used the other player will be asked to confirm this.

Fwd This will re-play the most recently retracted move. This button in conjunction with Back is useful for "scrolling around" in a saved game.

Save
    Save the game in the record file.

Flip
    Rotate the board so that Black will have his pieces at the bottom.

Switch
    Change the mapping of boards to players.

Pause
    This button has two functions. When a game is being restored, pieces will be moved once a second. Hitting Pause will stop this process, and hitting it again will restart it. During the time that it is stopped no other action can be made except restarting it. While a game is being played, Pause will stop the clock and restart it.

DEFAULTS

xchess uses the following .Xdefaults:

Noisy
    The -n flag.

SaveMoves
    The -s flag.

Algebraic
    The -i flag.

BlackAndWhite
    The -bnw flag.

QuickRestore
    The -q flag.

Flash
    The -v flag.

NumFlashes
    How many times to flash the move. The default is 5.

FlashWidth
    How big to make the lightning bolt. The default is 10 pixels.

ProgName
    The -p option. This may also be changed in the Makefile (-DDEF_PROG_NAME).

ProgHost
    The -h option.

RecordFile
    The -f option.

BlackPiece
    The color of the black pieces.

WhitePiece
    The color of the white pieces.

BorderColor
    The color of the borders.

BlackSquare
    The color of the black squares.

WhiteSquare
    The color of the white squares.

TextColor
    The color of routine messages and the move record text.

ErrorText
    The color of error messages.

PlayerText
    The color of player-entered text.

TextBack
    The background color for the two text windows.

CursorColor
    The color of the mouse and the text cursors.

SEE ALSO
X(8), gnuchess(1), chess(5)

AUTHOR
Wayne A. Christopher (faustus@ic.berkeley.edu)

BUGS

Checkmate and stalemate are not detected, so the appropriate player must resign or agree to a draw respectively.

Switch doesn't work.

If you are playing gnuchess, and you select Undo a few times so that it is gnuchess's turn to move, it won't do anything.